-- First Version--

local UIConfig = CreateFrame("Frame", "MUI_BuffFrame", UIParent, "BasicFrameTemplateWithInset");

UIConfig:SetSize(205, 80);
UIConfig:SetPoint("TOPLEFT", UIParent, "TOPLEFT", 10,-10);
UIConfig:SetMovable(true)
UIConfig:EnableMouse(true)
UIConfig:RegisterForDrag("LeftButton")
UIConfig:SetScript("OnDragStart", UIConfig.StartMoving)
UIConfig:SetScript("OnDragStop", UIConfig.StopMovingOrSizing)

UIConfig.selfButton = CreateFrame("Button", nil, UIConfig, "GameMenuButtonTemplate");
UIConfig.selfButton:SetPoint("TOPLEFT", UIConfig, "TOPLEFT", 10, -30);
UIConfig.selfButton:SetSize(60,40);
UIConfig.selfButton:SetText("Self");
UIConfig.selfButton:SetNormalFontObject("GameFontNormalLarge");
UIConfig.selfButton:SetHighlightFontObject("GameFontHighlightLarge");
UIConfig.selfButton:RegisterForClicks("AnyUp");
UIConfig.selfButton:SetScript("OnClick", function (self, button, down)
	selfPrint()
end);


UIConfig.sayButton = CreateFrame("Button", nil, UIConfig, "GameMenuButtonTemplate");
UIConfig.sayButton:SetPoint("TOPLEFT", UIConfig.selfButton, "TOPRIGHT", 2, 0);
UIConfig.sayButton:SetSize(60,40);
UIConfig.sayButton:SetText("Say");
UIConfig.sayButton:SetNormalFontObject("GameFontNormalLarge");
UIConfig.sayButton:SetHighlightFontObject("GameFontHighlightLarge");
UIConfig.sayButton:SetScript("OnClick", function (self, button, down)
	chatPrint("SAY")
end);

UIConfig.partyButton = CreateFrame("Button", nil, UIConfig, "GameMenuButtonTemplate");
UIConfig.partyButton:SetPoint("TOPLEFT", UIConfig.sayButton, "TOPRIGHT", 2, 0);
UIConfig.partyButton:SetSize(60,40);
UIConfig.partyButton:SetText("Party");
UIConfig.partyButton:SetNormalFontObject("GameFontNormalLarge");
UIConfig.partyButton:SetHighlightFontObject("GameFontHighlightLarge");
UIConfig.partyButton:SetScript("OnClick", function (self, button, down)
	chatPrint("PARTY")
end);


function chatPrint(channel)
	for i=1,GetNumSavedInstances() do local n,_,_,d,l = GetSavedInstanceInfo(i) 
		if d==23 then if l == true then SendChatMessage(n .. ": Completed", channel) 
			else SendChatMessage(n .. ": Not Completed", channel) 
			end 
		end 
	end
end

function selfPrint()
	for i=1,GetNumSavedInstances() do local n,_,_,d,l = GetSavedInstanceInfo(i) 
		if d==23 then print(n,l and "\124cff00ff00Completed" or "\124cffff0000Not Completed") 
		end 
	end
end









